Subject: [openpgp] Automatic WKD deployment from git to Netlify

From: Dominik Schuermann <[email-masked]>
Date: Thu, 5 Sep 2019 18:49:05 +0200

Hey,

I was in need of a method for deploying keys to WKD that is easy to 
manage by multiple persons.

So this is my simple script for doing this:
https://github.com/cotechde/netlify-wkd

- It uses Netlify as the publishing platform (free & Let's Encrypt)
- Everyone who has access to the git can manage their PGP key(s).
- Keys in the git repo are automatically published every time the repo
   changes by using a simple Python script that is called by Netlify on
   git push
- It uses the openpgpkey subdomain described as the WKD advanced method
- It sets the correct CORS and Content-Type header
   (https://github.com/cotechde/netlify-wkd/blob/master/netlify.toml)

Cheers
Dominik